Bug 165981 - two libmagmamsg issues
two libmagmamsg issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: magma (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 10:16 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 19:17:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cfeist + lhh's patch to fix mode / linking problem (2.19 KB, patch)
2005-08-31 18:35 EDT, Lon Hohberger
no flags Details | Diff
Hail rewrites. (2.56 KB, patch)
2005-09-01 11:17 EDT, Lon Hohberger
no flags Details | Diff
Remove already-committed mode change (1.19 KB, patch)
2005-09-01 11:19 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Joe Orton 2005-08-15 10:16:28 EDT
[root@trash ~]# rpm -qf  /lib/libmagmamsg.so.1.0.0.pre21
magma-1.0-0.pre21.7
[root@trash ~]# ls -l /lib/libmagmamsg.so.1.0.0.pre21
-rw-r--r--  1 root root 23128 May  6 17:33 /lib/libmagmamsg.so.1.0.0.pre21

<-- should be 0755

[root@trash ~]# ldd -r /lib/libmagmamsg.so.1.0.0.pre21
ldd: warning: you do not have execution permission for
`/lib/libmagmamsg.so.1.0.0.pre21'
undefined symbol: clist_get_flags       (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: memb_resolve_list     (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_set_purpose     (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_delete  (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_next_set        (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_get_purpose     (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_insert  (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: cml_dup       (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: memb_id_to_p  (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: cml_free      (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_fill_fdset      (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: memb_resolve  (/lib/libmagmamsg.so.1.0.0.pre21)
undefined symbol: clist_purgeall        (/lib/libmagmamsg.so.1.0.0.pre21)
...

<-- and it's missing a dependency on some other library.
Comment 1 Lon Hohberger 2005-08-31 18:18:57 EDT
You're right, the lib should be 0755

The dependency is on libmagma.  Basically, we separated libmagma and libmagmamsg
so that we could make sure libmagma was LGPL-licensed.  Libmagmamsg requires
libmagma at link time when building an application against it.

The socket handling code in libmagmamsg dates back GPL code from Mission
Critical Linux ca. 2000, and is GPL-licensed, which is why libmagmamsg is
separate in the first place...
Comment 2 Lon Hohberger 2005-08-31 18:35:22 EDT
Created attachment 118322 [details]
cfeist + lhh's patch to fix mode / linking problem
Comment 3 Joe Orton 2005-09-01 02:40:21 EDT
Yow:

+	${LD} -shared -soname libmagmamsg.so.$(RELEASE_MAJOR) -o $@ $^ -Bdynamic -lc
-L. -lmagma -lpthread -ldl

you should never ever ever be linking anything using ld directly.  use

   gcc -shared ...

and the explicit -lc is not necessary either.
Comment 4 Lon Hohberger 2005-09-01 11:10:50 EDT
I know the explicit lc isn't necessary, I was just using what was in the makefile ;)

The whole makefile would need to be rewritten to make it not use LD directly..
To be honest, I don't know where that came from, I was sure I was using gcc.

Comment 5 Lon Hohberger 2005-09-01 11:17:49 EDT
Created attachment 118348 [details]
Hail rewrites.
Comment 6 Lon Hohberger 2005-09-01 11:19:47 EDT
Created attachment 118349 [details]
Remove already-committed mode change
Comment 7 Joe Orton 2005-09-01 11:22:20 EDT
-Bdynamic is also redundant on Linux, otherwise that looks good.
Comment 8 Chris Feist 2005-09-01 12:18:45 EDT
The fixes have been commited upstream and should show up in the next fedora core
build of magma.

Note You need to log in before you can comment on or make changes to this bug.